package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 考勤打卡表单
 * @Author: CaoZixuan
 * @Date: 2023-08-29
 */
public class DingFormResult {
    @ApiModelProperty("签到表id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long dingId;

    @ApiModelProperty("签到日期")
    private String signDate;

    @ApiModelProperty("年份")
    private String year;

    @ApiModelProperty("签到信息")
    private DingInfoResult signInInfo;

    @ApiModelProperty("签退信息")
    private DingInfoResult signOutInfo;

    public Long getDingId() {
        return dingId;
    }

    public void setDingId(Long dingId) {
        this.dingId = dingId;
    }

    public String getSignDate() {
        return signDate;
    }

    public void setSignDate(String signDate) {
        this.signDate = signDate;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public DingInfoResult getSignInInfo() {
        return signInInfo;
    }

    public void setSignInInfo(DingInfoResult signInInfo) {
        this.signInInfo = signInInfo;
    }

    public DingInfoResult getSignOutInfo() {
        return signOutInfo;
    }

    public void setSignOutInfo(DingInfoResult signOutInfo) {
        this.signOutInfo = signOutInfo;
    }
}
